<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/colorBackground"
    tools:context=".activity.MainActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <ImageView
                android:src="@drawable/mapicon"
                android:layout_width="wrap_content"
                android:layout_height="150dp" />

            <LinearLayout
                android:paddingVertical="20dp"
                android:background="@color/colorWhite"
                android:layout_marginHorizontal="20dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/lat"
                    android:textSize="18sp"
                    android:textColor="@color/colorBlack"
                    android:text="Latitude          :   23.851986"
                    android:paddingLeft="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
                <TextView
                    android:id="@+id/longi"
                    android:textSize="18sp"
                    android:textColor="@color/colorBlack"
                    android:text="Longitude       :   23.851986"
                    android:paddingLeft="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
                <TextView
                    android:id="@+id/address"
                    android:textSize="18sp"
                    android:textColor="@color/colorBlack"
                    android:text="Address          :   23.851986"
                    android:paddingLeft="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <TextView
                    android:id="@+id/updatetime"
                    android:textSize="18sp"
                    android:textColor="@color/colorBlack"
                    android:text="Last Updated :   23.851986"
                    android:paddingLeft="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <LinearLayout
                android:layout_marginTop="20dp"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <Button
                    android:id="@+id/locationbtn"
                    android:background="@color/colorPrimaryDark"
                    android:textColor="@color/colorWhite"
                    android:text="Detect Location"
                    android:layout_marginRight="5dp"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
                <Button
                    android:id="@+id/phonebtn"
                    android:background="@color/colorPrimaryDark"
                    android:textColor="@color/colorWhite"
                    android:text="Phone number"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="10dp"
                    android:layout_weight="1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <ImageButton
                android:id="@+id/smsbtn"
                android:background="@color/colorBackground"
                android:layout_marginTop="10dp"
                android:layout_gravity="center_horizontal"
                android:scaleType="fitXY"
                android:src="@drawable/sms"
                android:layout_width="200dp"
                android:layout_height="100dp" />
            <TextView
                android:layout_marginBottom="20dp"
                android:gravity="center_horizontal"
                android:text="send message"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
    </ScrollView>

</LinearLayout>